<?php
	include_once('../php_conexion.php');
	header('Content-type: application/json; charset=utf-8');
if (isset($_POST['idpac'])){
	$idcliente=$_POST['idpac'];
	$idexamen=$_POST['idexamen'];


	//Iniciamos variable de resultado en array
	//Consultas iniciales
	if ($idexamen==1) {
		$examen="infcitologico";
	}else{
		$examen="histologia";
	}

	$query = mysqli_query($conexion, "SELECT id,numdocpac FROM $examen WHERE numdocpac=$idcliente ORDER BY id DESC LIMIT 1") or die ("ERROR EN QUERY".mysql_error());
	$numpacientes = mysqli_num_rows($query);
		
		if($numpacientes!=0){
			$resultado=mysqli_fetch_array($query);
			$resultado['success']=1;
			echo json_encode($resultado);
		}else{
			$result["error"]=2;
			$result["error_msg"]="Paciente no tiene informe generado";
			echo json_encode($result);
		}
		mysqli_close($conexion);
}elseif(isset($_POST['idpaciente'])){
	$idpaciente=$_POST['idpaciente'];
	$queryestado=mysqli_query($conexion,"UPDATE pacientes SET estado='Entregado' WHERE id=$idpaciente");
	mysqli_close($conexion);
}else{
	echo "Acceso denegado";
}
/*include_once('../php_conexion.php');
	header('Content-type: application/json; charset=utf-8');
	//Iniciamos variable de resultado en array
	$result=array();
	//Consultas iniciales
	$query = mysql_query("SELECT * FROM principal_paciente WHERE numdoc='45841360' ORDER BY id DESC LIMIT 1") or die ("ERROR EN QUERY".mysql_error());
	$numpacientes = mysql_num_rows($query);	
		
		if($numpacientes!=0){
			$resultado=mysql_fetch_array($query);
			$qatencion=mysql_query("SELECT * FROM atencion_ocupacional WHERE idpaciente='".$resultado['id']."'");
			$numatencion = mysql_num_rows($qatencion);
			if($numatencion!=0){
				$result["error"]=2;
				$result["error_msg"]="Paciente ya tiene una atencion actualmente";
				echo json_encode($result);
			}else{
				$resultado['succes']=1;
				echo json_encode($resultado);
			}
		}else{
			$result["error"]=4;
			$result["error_msg"]="Paciente no registrado";
			echo json_encode($result);
		}
		mysql_close($conexion);*/
		
?>